DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | Private Member Functions | Private Attributes | List of all members
DcmQueryRetrieveMoveContext Class Reference

this class maintains the context information that is passed to the callback function called by DIMSE_moveProvider. More...

## Public Member Functions
| DcmQueryRetrieveMoveContext (DcmQueryRetrieveDatabaseHandle &handle, const DcmQueryRetrieveOptions &options, const DcmAssociationConfiguration &associationConfiguration, const DcmQueryRetrieveConfig *cfg, DIC_US priorstatus, T_ASC_Association *assoc, DIC_US msgid, T_DIMSE_Priority pr, OFBool secureConnect)
| constructor More...
void | callbackHandler (OFBool cancelled, T_DIMSE_C_MoveRQ *request, DcmDataset *requestIdentifiers, int responseCount, T_DIMSE_C_MoveRSP *response, DcmDataset **stDetail, DcmDataset **responseIdentifiers)
| callback handler called by the DIMSE_storeProvider callback function. More...
void | setOurAETitle (const char *ae)
| set the AEtitle under which this application operates More...

## Private Member Functions
| DcmQueryRetrieveMoveContext (const DcmQueryRetrieveMoveContext &other)
| private undefined copy constructor
DcmQueryRetrieveMoveContext & | operator= (const DcmQueryRetrieveMoveContext &other)
| private undefined assignment operator

## Private Attributes
DcmQueryRetrieveDatabaseHandle & | dbHandle
| reference to database handle
const DcmQueryRetrieveOptions & | options_
| reference to Q/R service options
const DcmAssociationConfiguration & | associationConfiguration_
| reference to association configuration
DIC_US | priorStatus
| prior DIMSE status
T_ASC_Association * | origAssoc
| pointer to original association on which the C-MOVE-RQ was received
T_ASC_Association * | subAssoc
| pointer to sub-association for outgoing C-STORE-RQ
const DcmQueryRetrieveConfig * | config
| pointer to Q/R configuration
OFBool | assocStarted
| true if the association was started
DIC_US | origMsgId
| message id of request
DIC_AE | origAETitle
| title of requestor
DIC_NODENAME | origHostName
| hostname of move requestor
T_DIMSE_Priority | priority
| priority of move request
OFString | ourAETitle
| our current title
DIC_AE | dstAETitle
| destination title for move
char * | failedUIDs
| instance UIDs of failed store sub-ops
DIC_US | nRemaining
| number of remaining sub-operations
DIC_US | nCompleted
| number of completed sub-operations
DIC_US | nFailed
| number of failed sub-operations
DIC_US | nWarning
| number of completed sub-operations that causes warnings
OFBool | secureConnection
| a flag indicating whether or not a secure connection was requested

## Detailed Description

this class maintains the context information that is passed to the callback function called by DIMSE_moveProvider.

## Constructor & Destructor Documentation

## ◆ DcmQueryRetrieveMoveContext()

DcmQueryRetrieveMoveContext::DcmQueryRetrieveMoveContext | ( | DcmQueryRetrieveDatabaseHandle & | handle,
|  | const DcmQueryRetrieveOptions & | options,
|  | const DcmAssociationConfiguration & | associationConfiguration,
|  | const DcmQueryRetrieveConfig * | cfg,
|  | DIC_US | priorstatus,
|  | T_ASC_Association * | assoc,
|  | DIC_US | msgid,
|  | T_DIMSE_Priority | pr,
|  | OFBool | secureConnect
| ) |  |
| inline

constructor

Parameters

  handle | reference to database handle
  options | options for the Q/R service
  cfg | configuration for the Q/R service
  priorstatus | prior DIMSE status
  assoc | pointer to DIMSE association
  msgid | DIMSE message ID
  pr | DIMSE priority
  secureConnect | a flag indicating whether or not a secure connection was requested

## Member Function Documentation

## ◆ callbackHandler()

void DcmQueryRetrieveMoveContext::callbackHandler | ( | OFBool | cancelled,
|  | T_DIMSE_C_MoveRQ * | request,
|  | DcmDataset * | requestIdentifiers,
|  | int | responseCount,
|  | T_DIMSE_C_MoveRSP * | response,
|  | DcmDataset ** | stDetail,
|  | DcmDataset ** | responseIdentifiers
| ) |  |

callback handler called by the DIMSE_storeProvider callback function.

Parameters

  cancelled | (in) flag indicating whether a C-CANCEL was received
  request | original move request (in)
  requestIdentifiers | original move request identifiers (in)
  responseCount | move response count (in)
  response | move response (out)
  stDetail | status detail for move response (out)
  responseIdentifiers | move response identifiers (out)

## ◆ setOurAETitle()

void DcmQueryRetrieveMoveContext::setOurAETitle | ( | const char * | ae | ) |
| inline

set the AEtitle under which this application operates

Parameters

  ae | AEtitle, is copied into this object.

The documentation for this class was generated from the following file:

- dcmqrdb/include/dcmtk/dcmqrdb/dcmqrcbm.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1